Module java.xml.bind
Package javax.xml.bind

## Class DataBindingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.xml.bind.DataBindingException

    public class DataBindingException
    extends java.lang.RuntimeException

Exception that represents a failure in a JAXB operation.

This exception differs from `JAXBException` in that this is an unchecked exception, while `JAXBException` is a checked exception.

Since:
  1.6, JAXB 2.1
See Also:
  `JAXB`, Serialized Form

### Constructor Summary

Constructors
`DataBindingException​(java.lang.String message, java.lang.Throwable cause)`
`DataBindingException​(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### DataBindingException

    public DataBindingException​(java.lang.String message,
                                java.lang.Throwable cause)

#### DataBindingException

    public DataBindingException​(java.lang.Throwable cause)

Copyright © 2004-2017 Oracle